﻿using System.Windows;
using ScreenshotDemo.Extensions;
using System.IO;

namespace ScreenshotDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void TakeDrawingScreenshot_Click(object sender, RoutedEventArgs e)
        {
            byte[] screenshot = DrawingCanvas.GetJpgImage(ScaleSlider.Value, 90);
            FileStream fileStream = new FileStream(@"CanvasScreenshot.jpg", FileMode.Create, FileAccess.ReadWrite);
            BinaryWriter binaryWriter = new BinaryWriter(fileStream);
            binaryWriter.Write(screenshot);
            binaryWriter.Close();
        }

        private void TakeScreenshot_Click(object sender, RoutedEventArgs e)
        {
            byte[] screenshot = this.GetJpgImage(ScaleSlider.Value, 90);
            FileStream fileStream = new FileStream(@"FullScreenshot.jpg", FileMode.Create, FileAccess.ReadWrite);
            BinaryWriter binaryWriter = new BinaryWriter(fileStream);
            binaryWriter.Write(screenshot);
            binaryWriter.Close();
        }
    }
}
